Name:           windowlab
Version:        1.37
Release:        1%{?dist}
Summary:        Small and Simple Amiga-like Window Manager

Group:          User Interface/Desktops
License:        GPL+
URL:            http://nickgravgaard.com/windowlab/
Source0:        http://nickgravgaard.com/windowlab/windowlab-%{version}.tar
Source1:        windowlab.desktop
Patch0:         windowlab-1.34-pathfixes.patch
Patch1:         windowlab-1.37-xsessions.patch
Patch2:         windowlab-1.37-nostrip.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libX11-devel libXext-devel

%description
WindowLab is a Window Manager for the X Window System. Features include
click-to-focus and a simple menu/taskbar combination. WindowLab is 
incredibly fast and small.

%prep
%setup -q 
cp %{SOURCE1} .
chmod a-x README TODO LICENCE CHANGELOG *.c *.h

for i in CHANGELOG README; do
  iconv -f iso-8859-1 -t utf-8 -o $i{.utf8,}
  mv $i{.utf8,}
done

%patch0 -p1 -b .pathfixes
%patch1 -p1 -b .xsessions
%patch2 -p1 -b .nostrip

%build
CFLAGS=$RPM_OPT_FLAGS make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG README TODO LICENCE
%dir %{_sysconfdir}/X11/windowlab/
%config(noreplace) %{_sysconfdir}/X11/windowlab/windowlab.menurc
%{_bindir}/windowlab
%{_mandir}/man1/windowlab.1x.gz
%{_datadir}/xsessions/windowlab.desktop

%changelog
* Tue Oct  6 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.37-1
- licensing problems are resolved
- updating to 1.37

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.34-5
- Autorebuild for GCC 4.3

* Tue Apr 24 2007 Nigel Jones <dev@nigelj.com> 1.34-4
- Remove executable bit on source files

* Wed Apr 18 2007 Nigel Jones <dev@nigelj.com> 1.34-3
- Honor $RPM_OPT_FLAGS
- +Patch to prevent stripping of debug info

* Wed Apr 11 2007 Nigel Jones <dev@nigelj.com> 1.34-2
- Minor changes to windowlab-1.34-pathfixes.patch
- Replace files section

* Tue Apr 10 2007 Nigel Jones <dev@nigelj.com> 1.34-1
- Initial SPEC file
